Name:		disper
Version:	0.3.0
Release:	1%{?dist}
Summary:	On-the-fly display switch utility

License:	GPLv3+
URL:		http://willem.engen.nl/projects/disper/
Source0:	http://ppa.launchpad.net/disper-dev/ppa/ubuntu/pool/main/d/disper/%{name}_%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	gzip
BuildRequires:	python
#BuildRequires:	libXNVCtrl-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libX11-devel

#Requires:	libnotify

%description
Disper is an on-the-fly display switch utility. It is intended to be used just
before giving a presentation with a laptop, when all one wants is that the
beamer, which has just been connected, is able to show whatever you prepared.

Disper gives you the option to either clone the all detected displays, or
extend the desktop to them. Resolutions are automatically detected. For
cloning, the highest resolution supported by all displays devices is chosen;
for extending every display device gets its heighest supported resolution.
For special setups requiring more detailed control, one can still use the
standard display configuration utilities.

At the moment nVidia cards are supported, and a basic XRandR backend is in
place.


%prep
%setup -q -n dispercur

%build

%install
make install DESTDIR=%{buildroot}
chmod +x %{buildroot}%{_datadir}/%{name}/src/xrandr/core.py
chmod +x %{buildroot}%{_datadir}/%{name}/src/xrandr/gdk.py
chmod +x %{buildroot}%{_datadir}/%{name}/src/xrandr/__init__.py
gzip %{name}.1
install -Dpm 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz

%files
%doc README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/*/disper.svg
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sat Jun 11 2011 Mario Santagiualiana <mario@marionline.it> - 0.3.0-1
- Merge Spec file of kwizart and Felix
- Update disper to version 0.3.0
- Update Spec file

* Sat Sep 19 2009 kwizart < kwizart at gmail.com > - 0.2.3-1
- Initial package

* Tue Jul 07 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.2.3-1
- initial build

